WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Easy Google Maps

An easy-to-use plugin for embedding Google Maps into your blog posts and pages. Requires PHP 5.0 or later.

The Easy Google Maps plugin for WordPress enables you to easily embed one or more Google Maps into your blog posts or pages.

It does this by embedding the map into a <iframe>.

Requires: 2.9 or higher
Compatible up to: 2.9.2
Last Updated: 2010-4-12
Downloads: 6,431

Ratings

3 stars
3.7 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1
50,2,1
50,2,1
100,1,1